%define name cdrecord
%define major 1
%define minor 8
%define fileversion 1
#%define patchversion a03
%define version %{major}.%{minor}.%{fileversion}
%define release 2mdk
%define prefix /usr
%define mkisofs_ver 1.12.1

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Epoch: 2
Summary: A command line CD/DVD-Recorder
Group: Archiving/Cd burning
Icon: cdrecord-logo.xpm
URL: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/%{name}-%{major}.%{minor}.%{fileversion}.tar.bz2
# Patch0: mkisofs-1.12b4-xcdroast.patch.bz2
# Patch1: cdrecord-compile-fix.patch.bz2
# Patch2: cdrecord-arch-fix.patch.bz2
BuildRoot: /var/tmp/%{name}-%{major}.%{minor}
Prefix: %{prefix}
Requires: mkisofs
Prereq: /usr/sbin/groupadd

%package devel
Summary: The libschily SCSI user level transport library
Group: Development/C

%package cdda2wav
Summary: CD-Audio to .wav converter
Summary(fr): convertisseur CD-Audio->.wav
Group: Sound
Icon: cdda2wav-logo.xpm

%package -n mkisofs
Version: %{mkisofs_ver}
Epoch: 1
Group: Archiving/Cd burning
Icon: mkisofs-logo.xpm
Summary: Creates an image of an ISO9660 filesystem.
Summary(de): Erstellt ein Dateisystem-Abbild nach ISO9660
Summary(fr): Permet de crer une image au format de fichiers ISO9660
Summary(tr): ISO9660 dosya sistemi kopyas oluturur

%description
Cdrecord allows you to create CD's on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%description devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%description cdda2wav
cdda2wav reads audio CDs, outputting a wav file.

%description -n mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%prep
%setup -q -n %{name}-%{major}.%{minor}.%{fileversion}

%build
./Gmake

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
./Gmake "INS_BASE=$RPM_BUILD_ROOT/%{prefix}" install

install -m 755 cdda2wav/cdda2mp3 $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc AN-%{version} doc/cdrecord.ps doc/isoinfo.ps Changelog README
%attr(-,root,root) %doc README.ATAPI README.WORM README.audio README.cdplus
%attr(-,root,root) %doc README.cdrw README.linux README.mkisofs README.multi
%attr(-,root,root) %doc README.sony  README.verify README.copy Linux.scsi-patch
%attr(2755,root,cdwriter) %{prefix}/bin/cdrecord
%attr(755,root,cdwriter) %{prefix}/bin/devdump
%attr(755,root,cdwriter) %{prefix}/bin/isodump
%attr(755,root,cdwriter) %{prefix}/bin/isoinfo
%attr(755,root,cdwriter) %{prefix}/bin/isovfy
%attr(755,root,cdwriter) %{prefix}/bin/readcd
%attr(644,root,root) %{prefix}/man/man1/cdrecord.1*
%attr(644,root,root) %{prefix}/man/man8/isoinfo.8*

%files cdda2wav
%defattr(-,root,root)
%doc doc/cdda2wav.ps cdda2wav/FAQ cdda2wav/README cdda2wav/GPL Changelog
%attr(755,root,cdwriter) %{prefix}/bin/cdda2wav
%attr(644,root,root) %{prefix}/man/man1/cdda2wav.1*

%files devel
%attr(644,root,root) %{prefix}/lib/*.a
%attr(644,root,root) %{prefix}/include/*.h
%attr(644,root,root) %{prefix}/man/man5/makefiles.5*
%attr(644,root,root) %{prefix}/man/man5/makerules.5*

%files -n mkisofs
%defattr(-,root,root)
%doc mkisofs/README.Mkisofs mkisofs/COPYING mkisofs/ChangeLog README mkisofs/README.eltorito mkisofs/README.session mkisofs/TODO
%doc doc/mkisofs.ps
%doc mkhybrid/ChangeLog.mkhybrid mkhybrid/README.hfs_magic mkhybrid/README.mkhybrid
%attr(755,root,cdwriter) %{prefix}/bin/mkisofs
%attr(755,root,cdwriter) %{prefix}/bin/mkhybrid
%attr(644,root,root) %{prefix}/man/man8/mkisofs.8*
%attr(644,root,root) %{prefix}/man/man8/mkhybrid.8*

%changelog
* Wed May 03 2000 Warly <warly@mandrakesoft.com> 1.8.1-2mdk
- add serial for upgrade

* Thu Apr 27 2000 Warly <warly@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1

* Tue Apr 4 2000 Warly <warly@mandrakesoft.com> 1.8.1a03-2mdk
- correct group, remove the other 

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 1.8.1a03-1mdk
- new group: Archiving/Other/Cd burning 
- 1.8.1a03

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.8a29-5mdk
- Remove ugly mknod in %post, move them to dev package (#78).
- Remove ugly groupadd in %pre already in setup package (#78)

* Fri Jan 14 2000 Francis Galiegue <francis@mandrakesoft.com>

- one-liner fix to libscg/scg/scgcmd.h
- gcc defines __sparc__, not __sparc nor sparc

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Grhh fix building as user.

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Sep 20 1999 Bernhard Rosenkrnzer <bero@linux-mandrake.com>
- 1.8a29
- Prereq /usr/sbin/groupadd

* Mon Sep 13 1999 Daouda LO <daouda@mandrakesoft.com>
- 1.8a27

* Sat Aug 14 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 1.8a24

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- mkisofs was missing a Summary line...

* Fri Jul 16 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 1.8a23

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- inc %release just to be safe

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- cdrecord should be sgid
- out of the rpm ready devices

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement (VER: 3mdk).

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.8a22
- Make use of group cdwriter (as introduced in xcdroast)
- move device creation here (used to be in xcdroast, which is nonsense).
- spec fixes
- add xcdroast (-x) patch to mkisofs

* Sat May 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 1.8a20

* Wed Mar 10 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- 1.8a19
- create mkisofs and cdda2wav packages, add readcd to main RPM

* Sun Feb 7 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- 1.8a16

* Tue Dec 8 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- start with FM release 1
- bzip2 man page

* Mon Nov 30 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a13-1]
- Updated to 1.8a1
- NEW features of cdrecord-1.8a13:
- First Advent: First separate scg library ;-)
	Currently only the low level and mid level transport stuff
- corrected error detection code in scsierrs.c to fix
	- missing NULL ptr at end of CCS error table
	- <= -> < problem for invalid sense code vs. vendor uniqe sense code

* Fri Nov 27 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a12-1]
- Updated to 1.8a12
- NEW features of cdrecord-1.8a12:
- Fixed a typo in scsitransp.c that prevented compilation
	on some Linux releases.

* Wed Nov 25 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a11-1]
- Upadted to 1.8a11
- Got patch from Jrg Schilling <schilling@fokus.gmd.de>
  to compile on linux.
- NEW features of cdrecord-1.8a11:
- Starting with official support for SCO Openserver 5
	NOTE: You will need to have a CD in the closed tray of the 
	drive otherwise cdrecord is not able to open the device.
- Fixed a bug in scsi-sco.c that prevented compilation.
- Added DEFAULTS files for SCO
- Fixed the autoconf detection stuff for major()/minor()
- Fixed the autoconf detection stuff for not working mlockall() on SCO/HP-UX
- Fixed mkisofs-1.12b4/diag/isoinfo.c to allow compilation on SCO
- New S_IS*() macros to allow compilation on OS/2 with missing S_IFBLK
- Added a static configuration for VMS
- Some fixes that are needed for VMS
- Added a file cdrecord/build_all.com to compile cdrecord on VMS
- Fixed isnan() code to fit SCO Openserver and VMS
- Incorporating now an experimental version of cdda2wav-0.95beta08
	Report problems to: heiko@colossus.escape.de
- NOTE: cdda2wav and mkisofs are not included in cdrecord rpm.

* Fri Nov 20 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a10-1]
- Updated to 1.8a10
